--- configure.ac.orig
+++ configure.ac
@@ -45,6 +45,14 @@ AC_ARG_WITH([wallet-port],
         [AC_DEFINE_UNQUOTED([WALLET_PORT], [$withval],
             [Define to the default server port.])])])
 
+dnl Determine the path to the Perl binary.
+AC_ARG_VAR([PERL], [Path to the Perl binary])
+AC_PATH_PROG([PERL], [perl])
+AS_IF([test -z "$PERL"],
+    [AC_MSG_ERROR([Could not find Perl binary (set PERL to the full path)])])
+AS_IF(["$PERL" -e 'require 5.008'], [:],
+    [AC_MSG_ERROR([Perl 5.8 or better is required])])
+
 dnl Probe for required libraries.
 RRA_LIB_REMCTL
 RRA_LIB_KRB5
@@ -90,6 +98,7 @@ AC_CONFIG_FILES([tests/client/basic-t], [chmod +x tests/client/basic-t])
 AC_CONFIG_FILES([tests/client/full-t], [chmod +x tests/client/full-t])
 AC_CONFIG_FILES([tests/client/prompt-t], [chmod +x tests/client/prompt-t])
 AC_CONFIG_FILES([tests/client/rekey-t], [chmod +x tests/client/rekey-t])
+AC_CONFIG_COMMANDS([server], [test -d server || mkdir server])
 AC_CONFIG_COMMANDS([tests/config],
     [test -d tests/config || mkdir tests/config])
 AC_OUTPUT
